#!/bin/sh

DATE=${DATE:-20071122}
INSTALL_DIR=${INSTALL_DIR:-/usr/share/xtide-harmonics/}

FILE=harmonics-dwf-${DATE}-nonfree.tcd.bz2
INSTALLFILE=${FILE%.bz2}

if [ "`id -u -n`" != "root" ] ; then
    echo "You must do this by root"
    exit 1
fi

wget -N ftp://ftp.flaterco.com/xtide/$FILE || \
    ( echo ; echo "Downloading failed." ; exit 1 )

bzip2 -d $FILE
mkdir -p $INSTALL_DIR
install -m 644 $INSTALLFILE $INSTALL_DIR
rm -f $INSTALLFILE
